import { FunctionComponent } from "react";
/**
 *
 * @returns {Button Props}
 * @author Thushara Dinishka
 */
export interface ButtonProps {
    /**
     * The text content of the button.
     */
    text: string;
    /**
     * The type of the button.
     * Default type is `button`.
     */
    type?: "submit" | "reset" | "button";
    /**
     * The variant to use.
     * Default variant is `info`.
     */
    variant?: "info" | "success" | "danger" | "outline-info" | "outline-success" | "outline-danger";
    /**
     * The size of the button.
     * Default size is `normal`.
     */
    size?: "small" | "large" | "normal";
    /**
     * If `true` the button will span to the full width of its parent.
     */
    block?: boolean;
}
/**
 *
 * @returns {Button}
 * @author Thushara Dinishka
 */
export declare const Button: FunctionComponent<ButtonProps>;
