import { FunctionComponent } from "react";
/**
 *
 * @returns {SubmitButton Props}
 * @author Thushara Dinishka
 */
export interface SubmitButtonProps {
    /**
     * Whether the form is currently submitting.
     */
    isSubmitting: boolean;
    /**
     * The text content of the button.
     */
    text: string;
    /**
     * The variant to use.
     * Default variant is `info`.
     */
    variant?: "info" | "success" | "danger";
    /**
     * The size of the button.
     * Default size is `normal`.
     */
    size?: "small" | "large" | "normal";
    /**
     * If `true` the button will span to the full width of its parent.
     */
    block?: boolean;
}
/**
 *
 * @returns {SubmitButton}
 * @author Thushara Dinishka
 */
export declare const SubmitButton: FunctionComponent<SubmitButtonProps>;
