import { FunctionComponent } from "react";
/**
 *
 * @returns {TextField Props}
 * @author Thushara Dinishka
 */
export interface TextFieldProps {
    /**
     * The type of the textfield.
     * Default type is `text`.
     */
    type?: string;
    /**
     * The placeholder to display.
     */
    placeholder?: string;
    /**
     * The size of the textfield.
     * Default size is `normal`.
     */
    size?: "small" | "large" | "normal";
    /**
     * If `true` the textfield wouldn't be accessible.
     */
    disabled?: boolean;
    /**
     * Other additional props to pass.
     */
    [key: string]: any;
}
/**
 *
 * @returns {TextField}
 * @author Thushara Dinishka
 */
export declare const TextField: FunctionComponent<TextFieldProps>;
