import React,{FunctionComponent} from "react";

/**
 *
 * @returns {CheckboxProps}
 * @author Yazeer Ahamed
 */
export interface CheckboxProps{
    label: string
    name: string
    [key: string]: any
}

/**
 *
 * @returns {Checkbox}
 * @author Yazeer Ahamed
 */
export const Checkbox:FunctionComponent<CheckboxProps> = ({label,name, ...props}) => {
    return (
        <div className='inline-flex items-center mt-3'>
            <input
                type="checkbox"
                name={name}
                className="form-checkbox border-2  h-5 w-5 text-teal-500 border-teal-500 focus:outline-none"
                {...props}
            />
            <span className="ml-2 text-base font-normal text-gray-800">{label}</span>
        </div>
    );
}
