import React, {FunctionComponent} from "react";
import {LabelTypes} from "../util/DataVariants";

/**
 *
 * @returns {LabelProps}
 * @author Thilina Rajapaksha
 */
export interface LabelProps {
    name: string
    label: string
    type: LabelTypes

}

/**
 *
 * @returns {Label}
 * @author Thilina Rajapaksha
 */
export const Label: FunctionComponent<LabelProps> = (props: LabelProps) => {

    if (props.type === LabelTypes.label) {
        return (
            <label className="text-gray-800 text-base font-medium select-none cursor-default tracking-wide"
                   htmlFor={props.name}>{props.label}</label>
        );
    } else if (props.type === LabelTypes.success) {
        return (
            <label className="text-green-500 text-base font-medium select-none cursor-default tracking-wide "
                   htmlFor={props.name}>{props.label}</label>
        );
    } else {
        return (
            <label className="text-red-500 text-base font-medium select-none cursor-default tracking-wide "
                   htmlFor={props.name}>{props.label}</label>
        );
    }


}
