import React,{FunctionComponent} from "react";

/**
 *
 * @returns {RadioButtonProps}
 * @author Yazeer Ahamed
 */
export interface RadioButtonProps{
    label: string
    name: string
    [key: string]: any
}

/**
 *
 * @returns {RadioButton}
 * @author Yazeer Ahamed
 */
export const RadioButton:FunctionComponent<RadioButtonProps> = ({label, name}) => {
    return (
        <div className='inline-flex items-center mt-3'>
            <input
                type="radio"
                name={name}
                className="form-radio border-2  h-5 w-5 text-teal-500 bg-gray-300 focus:outline-none"
            />
            <span className="ml-2 text-base font-normal text-gray-800">{label}</span>
        </div>
    );
}
